org.apache.sling.event.jobs

## Enum QueueConfiguration.ThreadPriority

- java.lang.Object
- - java.lang.Enum<QueueConfiguration.ThreadPriority>
  - - org.apache.sling.event.jobs.QueueConfiguration.ThreadPriority

All Implemented Interfaces:
  Serializable, Comparable<QueueConfiguration.ThreadPriority>

Enclosing interface:
  QueueConfiguration

    public static enum QueueConfiguration.ThreadPriority
    extends Enum<QueueConfiguration.ThreadPriority>

The thread priority.

Since:
  1.3

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`MAX`
`MIN`
`NORM`

### Method Summary

All Methods Static Methods Concrete Methods
`static QueueConfiguration.ThreadPriority` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static QueueConfiguration.ThreadPriority[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NORM

    public static final QueueConfiguration.ThreadPriority NORM

#### MIN

    public static final QueueConfiguration.ThreadPriority MIN

#### MAX

    public static final QueueConfiguration.ThreadPriority MAX

### Method Detail

#### values

    public static QueueConfiguration.ThreadPriority[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (QueueConfiguration.ThreadPriority c : QueueConfiguration.ThreadPriority.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static QueueConfiguration.ThreadPriority valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null